# $Revision: 1.21 $, $Date: 2008/11/24 19:26:40 $
Summary:	Library KIPI plugins
Summary(pl.UTF-8):	Wtyczki dla biblioteki KIPI
Name:		kipi-plugins
Version:	0.1.6
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
# Source0-md5:	0d2b7fafcafd93822475a727a23e7d9d
Patch0:		kde-ac260-lt.patch
URL:		http://extragear.kde.org/apps/kipi/
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	exiv2-devel >= 0.12
BuildRequires:	gettext-devel
BuildRequires:	imlib2-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libexif-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libkexif-devel >= 0.1
BuildRequires:	libkdcraw-devel
BuildRequires:	libkexiv2-devel
BuildRequires:	libkipi-devel >= 0.1
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRequires:	qt-devel
BuildRequires:	rpmbuild(macros) >= 1.129
# because of current K_PATH_X definition
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library KIPI plugins.

%description -l pl.UTF-8
Wtyczki dla biblioteki KIPI.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/xx

%find_lang %{name} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/images2mpg
%attr(755,root,root) %{_libdir}/kde3/*.so
%attr(755,root,root) %{_libdir}/libkipiplugins.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkipiplugins.so.0
%{_libdir}/kde3/*.la
%{_datadir}/apps/kipi
%{_datadir}/apps/kipiplugin_batchprocessimages
%{_datadir}/apps/kipiplugin_findimages
%{_datadir}/apps/kipiplugin_galleryexport
%{_datadir}/apps/kipiplugin_gpssync
%{_datadir}/apps/kipiplugin_htmlexport
%{_datadir}/apps/kipiplugin_jpeglossless
%{_datadir}/apps/kipiplugin_rawconverter
%{_datadir}/apps/kipiplugin_simpleviewerexport
%{_datadir}/apps/kipiplugin_slideshow
%{_datadir}/apps/kipiplugin_viewer
%{_datadir}/services/kipiplugin_*.desktop
%{_datadir}/config.kcfg/htmlexportconfig.kcfg
%{_mandir}/man1/images2mpg.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kipi-plugins.spec,v $
Revision 1.21  2008/11/24 19:26:40  paszczus
- updated to 0.1.6

Revision 1.20  2008/10/23 22:01:30  pawelz
- verbose %files

Revision 1.19  2008/10/23 20:33:33  pawelz
- fixed %files (it builds now)
- thanks "Piotr 'peem' Gbyliczek" <piotr (dot) gbyliczek (at) wp (dot) pl>

Revision 1.18  2008/04/22 15:27:44  shadzik
- 0.1.5

Revision 1.17  2008-02-15 21:21:04  glen
- add blockers

Revision 1.16  2007-08-19 16:42:41  rotom
- up to 0.1.4
- BRs added
- kde-ac260-lt.patch added

Revision 1.15  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.13  2007/01/29 23:06:22  rotom
- up to 0.1.3
- BR added

Revision 1.12  2006/10/06 18:47:32  qboosh
- more BRs; included kde m4 macros use libXt for X paths detection

Revision 1.11  2006/10/06 16:42:31  vip
- adapterized

Revision 1.10  2006/10/06 16:40:34  vip
- proper Source0 URL

Revision 1.9  2006/07/27 06:57:06  rotom
- up to 0.1.2

Revision 1.8  2006/01/13 20:12:13  arekm
- rel .5

Revision 1.7  2005/11/01 21:21:07  ankry
- kill bugus xx translation, rel. .4

Revision 1.6  2005/10/30 12:23:25  arekm
- rel .3

Revision 1.5  2005/06/09 14:52:45  undefine
- fix build on amd64, release 2

Revision 1.4  2005/03/28 12:05:51  troll
- updated to 0.1 beta 2
- added missing BRs
- by Michal Kochanowicz michal michal.waw.pl

Revision 1.3  2005/01/13 19:14:03  darekr
- _kdedocdir requires macros 1.129

Revision 1.2  2005/01/13 00:08:53  domelu
- cosmetics

Revision 1.1  2005/01/13 00:01:04  petec
- initial from Michal Kochanowicz <michal(at)michal.waw.pl>

